body {
    margin: 0;
    padding: 0;
    background: #111;
    color: #eee;
    font-family: 'Noto Sans JP', sans-serif;
}

.gallery-hero {
    background: #1a1a1a;
    text-align: center;
    padding: 5vmin 0;
}

.gallery-hero h1 {
    font-size: 3em;
    margin-bottom: 10px;
}

.gallery-contents {
    width: 100%;
    min-height: 100vh;
    background: #111;
    display: flex;
    align-items: start;
    justify-content: center;
    margin-top: 10%;
}

.gallery-content{
    width: 70%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 5%;
    background: #111;
}

.gallery-item {
    overflow: hidden;
    width: 23%;
    margin-bottom: 5%;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    position: relative;
    aspect-ratio: 1/1.3;
}

.locked::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url(/images/icon/lock.svg);
    background-size: 30%;
    backdrop-filter: blur(10px);
    background-repeat: no-repeat;
    background-position: center;
    z-index: 2;
}

.gallery-item img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center;
    transition: transform 0.3s ease;
}

.gallery-item:hover img {
    transform: scale(1.05);
}

.back-home {
    text-align: center;
    padding: 40px 0;
    background: #1a1a1a;
}

.back-home a {
    color: #ccc;
    font-size: 1.1em;
    text-decoration: none;
    transition: color 0.3s;
    -webkit-transition: color 0.3s;
    -moz-transition: color 0.3s;
    -ms-transition: color 0.3s;
    -o-transition: color 0.3s;
}

.back-home a:hover {
    color: #fff;
}

@media screen and (max-width:965px) {
    .gallery-hero h1 {
        font-size: 2.5em;
        margin-bottom: 15px;
    }
    .gallery-contents {
        width: 100%;
        min-height: 100vh;
        margin-top: 10%;
    }
    .gallery-content{
        width: 90%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 5%;
        background: #111;
    }
    .gallery-item {
        width: 45%;
        margin-bottom: 5%;
    }
    .gallery-item:hover img {
        transform: scale(1.05);
    }
}
